Folders and counters
GET
/v1/mailboxes/{mailbox_id}/foldersReturns a list of folders, the number of emails total, the number of unread messages unread and the value uidvalidity for each folder. Use the folder name and uidvalidity in queries to its letters.
Authentication and access · Errors and retries
Request
curl -X GET 'https://adapt-mail.com/v1/mailboxes/<mailbox_id>/folders' \ -H 'Authorization: Bearer <access_token>'Parameters
mailbox_idpathNecessarilyintegerX-Customer-IDheader- Option 1
stringOption 2null
Responses
200 Successful response
application/json
array
Array elements
object
namestringflagsarrayArray elementsstringtotalintegerunreadintegeruidvalidityinteger
401 Login required
application/json
object
detail- Option 1
stringOption 2objectcodestringmessagestring
Option 3arrayArray elementsobject
403 No access
application/json
object
detail- Option 1
stringOption 2objectcodestringmessagestring
Option 3arrayArray elementsobject
404 Resource not found
application/json
object
detail- Option 1
stringOption 2objectcodestringmessagestring
Option 3arrayArray elementsobject
409 State conflict
application/json
object
detail- Option 1
stringOption 2objectcodestringmessagestring
Option 3arrayArray elementsobject
422 Validation error
application/json
object
detailarrayArray elementsobjectlocNecessarilyarrayArray elementsOption 1stringOption 2integermsgNecessarilystringtypeNecessarilystring
503 Temporarily unavailable
application/json
object
detail- Option 1
stringOption 2objectcodestringmessagestring
Option 3arrayArray elementsobject